﻿using System;
using System.IO;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace SVMctl_I2C_CSharp
{
    static class Program
    {
        /// <summary>
        /// アプリケーションのメイン エントリ ポイントです。
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            // Log用フォルダ検出、作成
            if (!(new DirectoryInfo("log").Exists))
            {
                Directory.CreateDirectory("log");
            }

            // 接続されているボードを取得
            List<BoardInformation> boardInformationList = SVIControl.GetBoardInformationList() ?? new List<BoardInformation>();

            // ボードが複数接続されている場合
            if (boardInformationList.Count > 1)
            {
                Application.Run(new FormSelectBoard(boardInformationList));
            }
            // ボードが1件だけ接続されている場合
            else if (boardInformationList.Count == 1)
            {
                Application.Run(new FormSVMCtl(boardInformationList[0]));
            }
            // ボードが1件も接続されていない場合
            else
            {
                Application.Run(new FormSVMCtl());
            }
        }
    }
}
